/*
 * NSAttributedStringEnhancements.h
 * MooseTracker
 *
 * Enhancements to NSAttributedString for workign with BTLStyles.
 * 
 * Created by Matthew Christensen on Thu Aug 26 2004
 * Copyright © 2004 Matthew Christensen. All rights reserved.
 */

#import <Cocoa/Cocoa.h>

@class BTLTemplate;
@class BTLStyle;
@class BTLDocumentInfo;

@interface NSString (BTLStringEnhancements)

// Returns this string trimmed of whitespace and newlines
- (NSString *) trimWhitespaceAndNewlines;

// True if a line consists of nothing but whitespace and newlines
- (bool) isBlank;

// Convert \rs to \ns, unless they are followed by \rs
- (NSString *) convertLineEndings;

@end

@interface NSAttributedString (BTLAttributedStringEnhancements)

@end

@interface NSMutableAttributedString (BTLMutableAttributedStringEnhancements)



@end

