/*
 * BTLDocumentInfoWindowController.h
 * StoryWriter
 *
 * Controller for the document info window of storywriter
 * 
 * Created by Matthew Christensen on Thurs Sept 2 2004
 * Copyright © 2004 Matthew Christensen. All rights reserved.
 */

#import <Cocoa/Cocoa.h>

@class BTLDataModel;

@interface BTLDocumentInfoWindowController : NSWindowController 
{
	IBOutlet NSButton *useDictionaryCheckbox;
	IBOutlet NSButton *autoCapitalizeCheckbox;
	IBOutlet NSButton *autoSaveCheckbox;
	IBOutlet NSButton *autoSaveLabel1;
	IBOutlet NSButton *autoSaveLabel2;
	IBOutlet NSButton *autoSaveTextField;
	IBOutlet NSButton *showCardNotesCheckbox;
	
	@private
	BTLDataModel *dataModel;
}

// Designated initializer
- initWithModel: (BTLDataModel *) m;

#pragma mark Utilities

- (void) updateMinutes: (NSNumber *) num;

#pragma mark Actions
- (IBAction) disableMinutesArea: (id) sender;
- (IBAction) enableMinutesArea: (id) sender;

- (IBAction) dictionaryCheckboxAction:  (id) sender;
- (IBAction) autoCapitalizeAction: (id) sender;
- (IBAction) autoSaveDocumentAction: (id) sender;
- (IBAction) showCardNotesCheckboxAction: (id) sender;

@end
