/*
 * BTLScreenplaySluglineStyle.h
 * StoryWriter
 *
 * Style for sluglines.
 *
 * Courier 12 pt. All caps.
 * 
 * Created by Matthew Christensen on Monday Sept 05 2004
 * Copyright  2004 Matthew Christensen. All rights reserved.
 */

#import <Cocoa/Cocoa.h>
#import "BTLScreenplayStyle.h"

@interface BTLScreenplaySluglineStyle : BTLScreenplayStyle 
{
	BTLStyle *nextStyle;
	NSArray *autocompleteItems;
}

- initWithNextStyle: (BTLStyle *) s;
- (void) setNextStyle: (BTLStyle *) s;

// Slugline is switched to by typing certain prefixes.
// This class method checks whether the prefixes exist in a string
+ (bool) shouldChangeToSlugline: (NSString *) s;

@end
