/*
 * BTLTestTemplate.h
 * StoryWriter
 *
 * Template used for unit tests. Contains three styles --- a plain, a 
 * bold, and an indented -- and simple rules for moving between them. Tab from
 * plain shifts to bold. Return from bold shifts to indented. Return from indented
 * shifts to plain. Tab from bold or indented also shifts to plain.
 * 
 * Created by Matthew Christensen on Tue Aug 24 2004
 * Copyright © 2004 Matthew Christensen. All rights reserved.
 */

#import <Cocoa/Cocoa.h>
#import "BTLTemplate.h"

@interface BTLTestTemplate : BTLTemplate
{
	BTLStyle *altStyle;
	BTLStyle *altNextLineStyle;
	
	NSArray *autocompleteItems;
	NSFont *defaultFont;
}

@end
